Subject: bug#6401:

From: Glenn Morris <[email-masked]>
Date: Tue, 22 Nov 2011 12:29:58 -0500

Eli Zaretskii wrote:

>> Why does a --with-ns build actually need to set these env-vars for child
>> processes?
>> Could they specifically be unset in spawned M-x shells?
>
> How will Emacs know that these variables weren't set by the parent
> shell?

I'm ignorant of all this. What do child processes of Emacs need these
variables for? Can you give me one example of something I might want to
run inside an emacs M-x shell buffer that needs to know EMACSDATA? It's
not set in shells spawned by a GNU/Linux build.

Also, don't you get a clear error about the charsets directory not being
found if EMACSDATA is wrong (from init_charset), rather than a failue to
load some particular charset? Which makes me think this is probably not
the problem the OP was having anyway...